<?php

namespace Drupal\modal_page;

use Drupal\Component\Utility\Xss;

/**
 * Modal Page Class.
 */
class ModalPage {

  /**
   * Function to Get Modal By Parameter.
   */
  public function getModalByParameter() {

    $config = \Drupal::config('modal_page.settings');

    $modals_by_parameter = $config->get('modals_by_parameter');

    if (empty($modals_by_parameter)) {
      return FALSE;
    }

    $modals_settings = explode(PHP_EOL, $modals_by_parameter);
    $parameters = \Drupal::request()->query->all();

    foreach ($modals_settings as $modal_settings) {

      $modal = explode('|', $modal_settings);

      $parameter_settings = Xss::filter($modal[0]);

      $parameter = trim($parameter_settings);

      $title = Xss::filter($modal[1]);
      $title = trim($title);

      $text = Xss::filter($modal[2]);
      $text = trim($text);

      $button = Xss::filter($modal[3]);
      $button = trim($button);

      $parameter_data = explode('=', $parameter);

      $parameter_key = $parameter_data[0];
      $parameter_value = $parameter_data[1];

      if (!empty($parameters[$parameter_key]) && $parameters[$parameter_key] == $parameter_value) {

        $modal_parameter_to_show = array(
          'title' => $title,
          'text' => $text,
          'button' => $button,
        );

        return $modal_parameter_to_show;
      }
    }
  }

}
